can't use IPOPT in serial mode in Ubuntu 14.04.5 LTS

Bug #1732560 reported by John Pye
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
coinor-ipopt (Ubuntu)
Undecided
Unassigned

Bug Description

It's some time since I used IPOPT on Ubuntu 14.04, but recently I found I was unable to use it in serial mode. This was previously possible. It seems that the compiled IPOPT shared library /usr/lib/libipopt.so now has a hard link to 'libdmumps-4.10.0.so' and 'libmpi.so.1' on Ubuntu 14.04.

Meanwhile, on Ubuntu 17.10, /usr/lib/libipopt.so depends on 'libdumps_seq-5.1.1.so' and has no dependency on MPI.

This situation with IPOPT defaulting to MPI on some platforms and not on others is troublesome. If it's not too much trouble, could recent IPOPT packages be backported to 14.04? As far as I can tell, there are very few packages (if any) that depend directly on ipopt, so this is mostly a package for developers to use.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers